Subject: Re: next-20081030: voyager compile busted

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 30 Oct 2008 14:50:53 -0700

James Bottomley wrote:
> 
> Yes ... been having IRC conversations about that.  We'd need to use
> runtime patching to fix the performance regressions virtualisation has
> been causing us first ... but then we could use it for voyager.
> 

I thought we already were, at least to some degree (the call sites are
way too big and way bigger than they need to be, so we end up with a lot
of NOPs.  I proposed a solution to Jeremy at Kernel Summit, but he
basically said "I don't want to maintain that, I don't care about
hardware performance", which is understandable but highly unfortunate.)

	-hpa